<?php

namespace Rhubarb\Stem\Tests\unit\Fixtures;

use Rhubarb\Stem\Models\Model;
use Rhubarb\Stem\Schema\Columns\AutoIncrementColumn;
use Rhubarb\Stem\Schema\Columns\StringColumn;
use Rhubarb\Stem\Schema\ModelSchema;

class Category extends Model
{
    /**
     * Returns the schema for this data object.
     *
     * @return \Rhubarb\Stem\Schema\ModelSchema
     */
    protected function createSchema()
    {
        $schema = new ModelSchema("tblCategory");

        $schema->addColumn(
            new AutoIncrementColumn("CategoryID"),
            new StringColumn("CategoryName", 50)
        );

        $schema->uniqueIdentifierColumnName = "CategoryID";

        return $schema;
    }
}